Package twisted :: Package manhole :: Module explorer :: Class ExplorerClass

[frames | no frames]

## Class ExplorerClass

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                               ExplorerClass

Method Summary
| `__init__(self, theClass, identifier)`
Inherited from Explorer
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| ``view_get_refcount`(self, perspective)`
Inherited from Cacheable
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally.
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me.
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me.
Inherited from Copyable
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Instance Variable Summary
| `bases`: a list of this class's base classes.
| `doc`: the class's docstring
| `module`: the module the class is defined in
| `name`: the name the class was defined with

Class Variable Summary
`list` | `attributeGroups` = `['methods', 'data']`
`list` | `properties` = `['name', 'doc', 'bases', 'module']`
Inherited from Explorer
`list` | `accessors` = `['get_refcount']`
`NoneType` | `id` = None
`NoneType` | `identifier` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Instance Variable Details

### bases

a list of this class's base classes.

### doc

the class's docstring

### module

the module the class is defined in

Attribute groups:

- methods -- class methods
- data -- other members of the class

### name

the name the class was defined with

Class Variable Details

### attributeGroups

  Type:
    `list`
  Value:

        ['methods', 'data']

### properties

  Type:
    `list`
  Value:

        ['name', 'doc', 'bases', 'module']

Generated by Epydoc 2.0 on Sat May 15 20:07:50 2004 | http://epydoc.sf.net